Enable Logger
Enables a specified logger. Administrator privileges are required to call this API.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
POST /api/sonar/loggers/:guid/enable
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X POST https://HOSTNAME/api/sonar/loggers/b90ea540-4f47-4bcf-b708-af610a649c50/enable
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Logger identifier | 36-characters GUID |
Error Responses
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
Logger is not found
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "logger not found: 05efb651-9644-4518-950f-dbd648c973a7"
}
No administrator privileges
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}